package cokr.xit.fims.excl.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;
import cokr.xit.fims.excl.LevyExclQuery;
import cokr.xit.fims.excl.OpnnDlbrMbr;
import cokr.xit.fims.excl.service.OpnnDlbrMbrService;

/**의견제출 심의 회원 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2024-05-17	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("opnnDlbrMbrService")
public class OpnnDlbrMbrServiceBean extends AbstractServiceBean implements OpnnDlbrMbrService {

	/** 의견제출 심의 회원 정보 Bean */
	@Resource(name = "opnnDlbrMbrBean")
	private OpnnDlbrMbrBean opnnDlbrMbrBean;

	@Override
	public List<DataObject> getOpnnDlbrMbrList(LevyExclQuery req) {
		return opnnDlbrMbrBean.getOpnnDlbrMbrList(req);
	}

	@Override
	public List<DataObject> getOpnnDlbrMbrs(LevyExclQuery req) {
		return opnnDlbrMbrBean.getOpnnDlbrMbrs(req);
	}

	@Override
	public DataObject getOpnnDlbrMbrInfo(LevyExclQuery req) {
		return opnnDlbrMbrBean.getOpnnDlbrMbrInfo(req);
	}

	@Override
	public String createOpnnDlbrMbr(OpnnDlbrMbr opnnDlbrMbr) {
		return opnnDlbrMbrBean.createOpnnDlbrMbr(opnnDlbrMbr);
	}

	@Override
	public String updateOpnnDlbrMbr(OpnnDlbrMbr opnnDlbrMbr) {
		return opnnDlbrMbrBean.updateOpnnDlbrMbr(opnnDlbrMbr);
	}

}
